org.eclipse.actf.model.dom.dombycom

## Enum INodeExVideo.VideoState

- java.lang.Object
- - java.lang.Enum<INodeExVideo.VideoState>
  - - org.eclipse.actf.model.dom.dombycom.INodeExVideo.VideoState

All Implemented Interfaces:
  Serializable, Comparable<INodeExVideo.VideoState>

Enclosing interface:
  INodeExVideo

    public static enum INodeExVideo.VideoState
    extends Enum<INodeExVideo.VideoState>

The enumeration of the state of the video.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`STATE_FASTFORWARD`
`STATE_FASTREVERSE`
`STATE_PAUSE`
`STATE_PLAY`
`STATE_STOP`
`STATE_UNKNOWN`
`STATE_WAITING`

### Method Summary

Methods
`static INodeExVideo.VideoState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static INodeExVideo.VideoState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STATE_UNKNOWN

    public static final INodeExVideo.VideoState STATE_UNKNOWN

#### STATE_PLAY

    public static final INodeExVideo.VideoState STATE_PLAY

#### STATE_STOP

    public static final INodeExVideo.VideoState STATE_STOP

#### STATE_PAUSE

    public static final INodeExVideo.VideoState STATE_PAUSE

#### STATE_FASTFORWARD

    public static final INodeExVideo.VideoState STATE_FASTFORWARD

#### STATE_FASTREVERSE

    public static final INodeExVideo.VideoState STATE_FASTREVERSE

#### STATE_WAITING

    public static final INodeExVideo.VideoState STATE_WAITING

### Method Detail

#### values

    public static INodeExVideo.VideoState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (INodeExVideo.VideoState c : INodeExVideo.VideoState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static INodeExVideo.VideoState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null